## net.sourceforge.pmd.symboltable
Class Search

    java.lang.Object
      net.sourceforge.pmd.symboltable.Search

public class Search
extends java.lang.Object

Constructor Summary
`Search(NameOccurrence occ)`

Method Summary
`void` `execute()`
`void` `execute(Scope startingScope)`
`NameDeclaration` `getResult()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Search

    public Search(NameOccurrence occ)

Method Detail

### execute

    public void execute()

### execute

    public void execute(Scope startingScope)

### getResult

    public NameDeclaration getResult()

Copyright © 2002-2006 InfoEther. All Rights Reserved.